class UIBaseItemRenderer extends eui.ItemRenderer {
	public constructor() {
		super();
		this.addEventListener(eui.UIEvent.CREATION_COMPLETE, this.onCreate, this);
		this.touchChildren = true;
	}

	protected onCreate(): void {
		GAME_ISMOBILE && (this.currentState = 'h5');
		this.removeEventListener(eui.UIEvent.CREATION_COMPLETE, this.onCreate, this);
	}
}